Name:           perl-PDF-Table
Version:        1.005
Release:        2%{?dist}
Summary:        Utility class for building table layouts in a PDF::Builder (or PDF::API2) object
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PDF-Table/
Source0:        http://www.cpan.org/authors/id/O/OM/OMEGA/PDF-Table-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.010
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:  perl-macros
BuildRequires:  perl-devel

# EPEL has PDF::API2 for EL7 and PDF::Builder for EL9.  Neither is provided for
# EL8 but if I get a request for this module for EL8 I'll build one of them
# myself.
%if 0%{?rhel} > 7
Requires:	perl(PDF::Builder)
%else
Requires:	perl(PDF::API2)
%endif

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(PDF::Table)

# Patch for older version of PDF::API2 that is packaged for EL7.
Patch1:		perl-PDF-Table-1.005-api2_compat.patch

%description
This class is a utility for use with the PDF::Builder (or PDF::API2, see
note above) module from CPAN. It can be used to display text data in a
table layout within a PDF. The text data must be in a 2D array (such as
returned by a DBI statement handle fetchall_arrayref() call). PDF::Table
will automatically add as many new pages as necessary to display all of the
data. Various layout properties, such as font, font size, cell padding, and
background color can be specified for each column and/or for even/odd rows.
Also a (non)repeated header row with different layout properties can be
specified.

%prep
%setup -q -n PDF-Table-%{version}
%patch1 -p1 -b .api2

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING.md LICENSE META.json PDFpref README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Nov 16 2023 Peter Ajamian <pj@ghettoforge.org> 1.005-2
- Patch for older PDF::API2 in EL7

* Tue Nov 14 2023 Peter Ajamian <pj@ghettoforge.org> 1.005-1
- Specfile autogenerated by cpanspec 1.78.
